|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.list.A_CmsListDialog
org.opencms.workplace.comparison.CmsElementComparisonList
public class CmsElementComparisonList
Element comparison list view.
| Field Summary | |
|---|---|
static String |
LIST_ACTION_ICON
list action id constant. |
static String |
LIST_ACTION_STATUS
list action id constant. |
static String |
LIST_COLUMN_ATTRIBUTE
list column id constant. |
static String |
LIST_COLUMN_ICON
list column id constant. |
static String |
LIST_COLUMN_LOCALE
list column id constant. |
static String |
LIST_COLUMN_STATUS
list column id constant. |
static String |
LIST_COLUMN_TYPE
list column id constant. |
static String |
LIST_COLUMN_VERSION_1
list column id constant. |
static String |
LIST_COLUMN_VERSION_2
list column id constant. |
static String |
LIST_DEFACTION_VIEW
list default action id constant. |
static String |
LIST_DETAIL_TYPE
list independent action id constant. |
static String |
LIST_IACTION_COMPARE_ALL
list independent action id constant. |
static String |
LIST_IACTION_SHOW
list independent action id constant. |
static String |
LIST_ID
List id constant. |
static String |
PARAM_ELEMENT
Request parameter name for the element. |
static String |
PARAM_LOCALE
Request parameter name for the locale. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_BASE, PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
|
CmsElementComparisonList(CmsJspActionElement jsp)
Public constructor. |
|
CmsElementComparisonList(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
protected |
CmsElementComparisonList(String listId,
CmsJspActionElement jsp)
Protected constructor. |
| Method Summary | |
|---|---|
void |
executeListIndepActions()
This method should handle the default list independent actions, by comparing with the id
of the action to execute. |
void |
executeListMultiActions()
This method should handle every defined list multi action, by comparing with the id
of the action to execute. |
void |
executeListSingleActions()
This method should handle every defined list single action, by comparing with the id
of the action to execute. |
protected void |
fillDetails(String detailId)
Lazy initialization for detail data. |
protected List |
getListItems()
Should generate a list with the list items to be displayed. |
String |
getParamPath1()
Returns the paramPath1. |
String |
getParamPath2()
Returns the paramPath2. |
String |
getParamTagId1()
Returns the paramTagId1. |
String |
getParamTagId2()
Returns the paramTagId2. |
String |
getParamVersion1()
Returns the paramNewversionid. |
String |
getParamVersion2()
Returns the paramOldversionid. |
protected void |
setColumns(CmsListMetadata metadata)
Should create the columns and add them to the given list metadata object. |
protected void |
setIndependentActions(CmsListMetadata metadata)
Should add the independent actions to the given list metadata object. |
protected void |
setMultiActions(CmsListMetadata metadata)
Should add the multi actions to the given list metadata object. |
void |
setParamPath1(String paramPath1)
Sets the paramPath1. |
void |
setParamPath2(String paramPath2)
Sets the paramPath2. |
void |
setParamTagId1(String paramTagId1)
Sets the paramTagId1. |
void |
setParamTagId2(String paramTagId2)
Sets the paramTagId2. |
void |
setParamVersion1(String paramNewversionid)
Sets the paramNewversionid. |
void |
setParamVersion2(String paramOldversionid)
Sets the paramOldversionid. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamBase, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamBase, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String LIST_ACTION_ICON
public static final String LIST_ACTION_STATUS
public static final String LIST_COLUMN_ATTRIBUTE
public static final String LIST_COLUMN_ICON
public static final String LIST_COLUMN_LOCALE
public static final String LIST_COLUMN_STATUS
public static final String LIST_COLUMN_TYPE
public static final String LIST_COLUMN_VERSION_1
public static final String LIST_COLUMN_VERSION_2
public static final String LIST_DEFACTION_VIEW
public static final String LIST_DETAIL_TYPE
public static final String LIST_IACTION_COMPARE_ALL
public static final String LIST_IACTION_SHOW
public static final String LIST_ID
public static final String PARAM_ELEMENT
public static final String PARAM_LOCALE
| Constructor Detail |
|---|
public CmsElementComparisonList(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsElementComparisonList(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response
protected CmsElementComparisonList(String listId,
CmsJspActionElement jsp)
listId - the id of the specialized listjsp - an initialized JSP action element| Method Detail |
|---|
public void executeListIndepActions()
A_CmsListDialogA_CmsListDialog.getParamListAction() with the id
of the action to execute.
if you want to handle additional independent actions, override this method,
handling your actions and FINALLY calling super.executeListIndepActions();.
executeListIndepActions in class A_CmsListDialogA_CmsListDialog.executeListIndepActions()public void executeListMultiActions()
A_CmsListDialogA_CmsListDialog.getParamListAction() with the id
of the action to execute.
executeListMultiActions in class A_CmsListDialogA_CmsListDialog.executeListMultiActions()
public void executeListSingleActions()
throws IOException,
ServletException
A_CmsListDialogA_CmsListDialog.getParamListAction() with the id
of the action to execute.
executeListSingleActions in class A_CmsListDialogIOException - in case of errors when including a required sub-element
ServletException - in case of errors when including a required sub-elementA_CmsListDialog.executeListSingleActions()public String getParamPath1()
public String getParamPath2()
public String getParamTagId1()
public String getParamTagId2()
public String getParamVersion1()
public String getParamVersion2()
public void setParamPath1(String paramPath1)
paramPath1 - the paramPath1 to setpublic void setParamPath2(String paramPath2)
paramPath2 - the paramPath2 to setpublic void setParamTagId1(String paramTagId1)
paramTagId1 - the paramTagId1 to setpublic void setParamTagId2(String paramTagId2)
paramTagId2 - the paramTagId2 to setpublic void setParamVersion1(String paramNewversionid)
paramNewversionid - the paramNewversionid to setpublic void setParamVersion2(String paramOldversionid)
paramOldversionid - the paramOldversionid to setprotected void fillDetails(String detailId)
A_CmsListDialog
Should fill the given detail column for every list item in
Should not throw any kind of exception.CmsHtmlList.getAllContent()
fillDetails in class A_CmsListDialogdetailId - the id of the detail to initializeA_CmsListDialog.fillDetails(java.lang.String)
protected List getListItems()
throws CmsException
A_CmsListDialog
getListItems in class A_CmsListDialogCmsListItems
CmsException - if something goes wrongA_CmsListDialog.getListItems()protected void setColumns(CmsListMetadata metadata)
A_CmsListDialogThis method will be just executed once, the first time the constructor is called.
setColumns in class A_CmsListDialogmetadata - the list metadataA_CmsListDialog.setColumns(org.opencms.workplace.list.CmsListMetadata)protected void setIndependentActions(CmsListMetadata metadata)
A_CmsListDialogThis method will be just executed once, the first time the constructor is called.
setIndependentActions in class A_CmsListDialogmetadata - the list metadataA_CmsListDialog.setIndependentActions(org.opencms.workplace.list.CmsListMetadata)protected void setMultiActions(CmsListMetadata metadata)
A_CmsListDialogThis method will be just executed once, the first time the constructor is called.
setMultiActions in class A_CmsListDialogmetadata - the list metadataA_CmsListDialog.setMultiActions(org.opencms.workplace.list.CmsListMetadata)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||